Skip to content

Acknowledge opportunity notifications

Deprecated
POST
/ack-opportunities
curl --request POST \
--url https://registry.rex.dynata.com/ack-opportunities \
--header 'Content-Type: application/json' \
--header 'dynata-access-key: ADSF23ADF354GFDDS23' \
--header 'dynata-expiration: 2026-04-15T12:00:00Z' \
--header 'dynata-signature: dsklj435kljhfdSAFdsalk34' \
--data '[ 1 ]'

This endpoint is deprecated, please use /ack-notifications instead.

dynata-expiration
required
string format: date-time

RFC3339 timestamp indicating request expiration

dynata-access-key
required
string

Dynata provided access key

Example
ADSF23ADF354GFDDS23
dynata-signature
required
string

Signature created using the Dynata methodology

Example
dsklj435kljhfdSAFdsalk34
Media typeapplication/json

Opportunity identifiers

Array<integer>
Examplegenerated
[
1
]

Notifications were successfully acknowledged

Bad request

Media typeapplication/json
object
message
required

A human readable description of the error

string
Examplegenerated
{
"message": "example"
}

Invalid credentials

Media typeapplication/json
object
message
required

A human readable description of the error

string
Examplegenerated
{
"message": "example"
}

Unauthorized

Media typeapplication/json
object
message
required

A human readable description of the error

string
Examplegenerated
{
"message": "example"
}

Internal server error

Media typeapplication/json
object
message
required

A human readable description of the error

string
Examplegenerated
{
"message": "example"
}